import 'option.dart';
import 'terminal.dart';

final Terminal _tty = const Terminal();

class Prompter {
  /// askMany
  ///
  /// Display a list of options and wait for an answer.
  dynamic askMany(String prompt, List<Option> options) {
    _tty.printPrompt(prompt, false);
    _tty.printOptions(options);
    var opt = _tty.collectInput();

    try {
      var numOpt = int.parse(opt);
      return options[numOpt].value;
    } catch (e) {
      print('The value selected is wrong!');
      return -1;
    }
  }

  /// askYesNo
  ///
  /// Ask a yes or no question.
  bool askYesNo(String prompt) {
    _tty.printPrompt('$prompt (y/n)', true);
    final resp = _tty.collectInput();
    if (resp == 'y' || resp == 'Y') {
      return true;
    } else {
      return false;
    }
  }

  /// clearScreen
  ///
  /// Clear the screen.
  void clearScreen() {
    _tty.clearScreen();
  }
}
